// event.node
// ==========
import { EventEmitter } from 'events';
export function createEventTarget() {
    var emitter = new EventEmitter();
    return {
        addEventListener: function (type, listener) { return emitter.on(type, listener); },
        removeEventListener: function (type, listener) { return emitter.off(type, listener); },
        dispatchEvent: function (name) { return emitter.emit(name); }
    };
}
