// types
// =====
// ----- Errors -----
export var ti = 'ti';
export var lib = 'lib';
export var SyntaxError = 'SyntaxError';
// ----- Values -----
export var NUMBER = 'number';
export var LIST = 'list';
export var STRING = 'string';
export var ListVariablePrefix = 'List';
// ----- Tokens -----
export var ANS = 'ans';
export var GetKey = 'GetKey';
// ----- Variables -----
export var VARIABLE = 'variable';
export var STRINGVARIABLE = 'stringVariable';
export var LISTVARIABLE = 'listVariable';
export var LISTINDEX = 'listIndex';
// ----- Expressions -----
export var BINARY = 'binary';
export var UNARY = 'unary';
// ----- Statements -----
export var EmptyStatement = 'empty';
export var ValueStatement = 'value';
export var AssignmentStatement = 'assign';
// ----- CTL -----
export var IfStatement = 'IfStatement';
export var ThenStatement = 'ThenStatement';
export var ElseStatement = 'ElseStatement';
export var ForLoop = 'ForLoop';
export var WhileLoop = 'WhileLoop';
export var RepeatLoop = 'RepeatLoop';
export var EndStatement = 'EndStatement';
export var PauseStatement = 'PauseStatement';
export var LabelStatement = 'LabelStatement';
export var GotoStatement = 'GotoStatement';
export var IncrementSkip = 'IncrementSkip';
export var DecrementSkip = 'DecrementSkip';
export var MenuStatement = 'MenuStatement';
export var ProgramStatement = 'ProgramStatement';
export var ReturnStatement = 'ReturnStatement';
export var StopStatement = 'StopStatement';
export var DelVarStatement = 'DelVarStatement';
export var GraphStyleStatement = 'GraphStyleStatement';
export var OpenLibStatement = 'OpenLibStatement';
export var ExecLibStatement = 'ExecLibStatement';
// ----- I/O -----
export var Input = 'Input';
export var Prompt = 'Prompt';
export var Display = 'display';
export var DispGraph = 'DispGraph';
export var DispTable = 'DispTable';
export var Output = 'Output';
export var ClrHome = 'ClrHome';
export var ClrTable = 'ClrTable';
export var GetCalc = 'GetCalc';
export var Get = 'Get';
export var Send = 'Send';
