// looper.web
// ===========
export function post(message) {
    return window.postMessage(message, '*');
}
export function on(message, listener) {
    return window.addEventListener('message', wrapListener(message, listener));
}
export function off(message, listener) {
    return window.removeEventListener('message', wrapListener(message, listener));
}
function wrapListener(message, listener) {
    return function (event) {
        if (event.source === window && event.data === message) {
            event.stopPropagation();
            listener();
        }
    };
}
